%{?build_emacs}%{?!build_emacs:%bcond_without emacs}

Summary:	Utilities for working with desktop entries
Name:		desktop-file-utils
Version:	0.23
Release:	4
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://freedesktop.org/Software/desktop-file-utils
Source0:	http://freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
Patch0:		desktop-file-utils-0.23-font-media.patch
BuildRequires:	glibc-static-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(popt)
%if %{with emacs}
BuildRequires:	emacs-bin
%endif

%description
desktop-file-utils contains a couple of command line utilities for working
with desktop entries. It requires GLib and popt to compile, because the
implementation requires Unicode utilities and such.

Right now the only documentation is "desktop-file-install --help".
desktop-file-validate takes a single argument, the file to validate. 

%files
%doc AUTHORS NEWS README ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%if %{with emacs}
%{_datadir}/emacs/site-lisp/desktop-entry-mode.el*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif

#---------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x

%make

%install
%makeinstall_std

%if %{with emacs}
mkdir -p %{buildroot}%{_sysconfdir}/emacs/site-start.d/
cat > %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}.el << EOF
(autoload 'desktop-entry-mode "desktop-entry-mode" "Desktop Entry mode" t)
(add-to-list 'auto-mode-alist
'("\\\\.desktop\\\\(\\\\.in\\\\)?$" . desktop-entry-mode))
(add-hook 'desktop-entry-mode-hook 'font-lock-mode)
EOF
%endif

%post
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2> /dev/null

%triggerin -- %{_datadir}/applications/*.desktop, %{_datadir}/applications/*/*.desktop
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2> /dev/null

%triggerpostun -- %{_datadir}/applications/*.desktop, %{_datadir}/applications/*/*.desktop
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2> /dev/null


%changelog

* Sat Jun 23 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.23-4
- (f9c0637) Add font as valid media type


